export default function sirenSilence() {
    mp.keys.bind(0x42, true, _ => {
        mp.events.callRemote("keyPress:B:toggleSiren");
    });

    mp.events.add('toggleVehicleSiren', (vehicle, state) => {
        vehicle.setSirenSound(state);
    });

    mp.events.add('entityStreamIn', (entity) => {
        if (entity.isAVehicle()) {
            var state = entity.getVariable("sirenSound");
            if (state === undefined) return;
            entity.setSirenSound(state);
        }
    });
}